Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class DescriptorFactory

    java.lang.Object
      |
      +--com.bea.wlai.common.DescriptorFactory

public class DescriptorFactory
extends java.lang.Object

A factory class used for creating descriptors without their own dedicated factory.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY`
`static java.lang.String` | `DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY_DEFAULT`

Constructor Summary
`DescriptorFactory()`

Method Summary
`static DescriptorFactory` | `createDescriptorFactory()` Create a new descriptor factory for use in creating descriptors.
`static DescriptorFactory` | `createDescriptorFactory(java.lang.ClassLoader loader)` Create a new descriptor factory for use in creating descriptors, using the specified ClassLoader to load the class.
`static IDocumentDescriptor` | `createDocumentDescriptor(java.lang.String name, java.lang.String description, java.lang.String schemaName, java.lang.String rootElementName)` Create a new document descriptor given the schema name and root element name for the descriptor.
`static IEventDescriptor` | `createEventDescriptor(java.lang.String name, java.lang.String description, java.lang.String schemaName, java.lang.String rootElementName)` Create a new event descriptor given the schema name and root element name for the descriptor.
`static IDocumentDescriptor` | `createNullDocumentDescriptor()` Create a document descriptor describing an empty/null document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY

    public static final java.lang.String DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY

### DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY_DEFAULT

    public static final java.lang.String DESCRIPTOR_FACTORY_CLASS_NAME_PROPERTY_DEFAULT

Constructor Detail

### DescriptorFactory

    public DescriptorFactory()

Method Detail

### createDescriptorFactory

    public static DescriptorFactory createDescriptorFactory()
                                                     throws java.lang.Exception

  Create a new descriptor factory for use in creating descriptors. The implementation class is determined by the setting of the com.bea.wlai.descriptorFactory.className system property. If this property is not set, the returned factory will be an instance of com.bea.wlai.common.DescriptorFactory. Implementations of DescriptorFactory must have a public no-arg constructor, and should follow the JavaBeans design pattern for setters/getters. This allows the factory to be configured if necessary. The class is loaded using the ClassLoader which loaded this class.

  Returns:
    The new descriptor factory instance.
  Throws:
    java.lang.Exception - If the descriptor factory cannot be created for any reason.

### createDescriptorFactory

    public static DescriptorFactory createDescriptorFactory(java.lang.ClassLoader loader)
                                                     throws java.lang.Exception

  Create a new descriptor factory for use in creating descriptors, using the specified ClassLoader to load the class. The implementation class is determined by the setting of the com.bea.wlai.descriptorFactory.className system property. If this property is not set, the returned factory will be an instance of com.bea.wlai.common.DescriptorFactory. Implementations of DescriptorFactory must have a public no-arg constructor, and should follow the JavaBeans design pattern for setters/getters. This allows the factory to be configured if necessary.

  Returns:
    The new descriptor factory instance.
  Throws:
    java.lang.Exception - If the descriptor factory cannot be created for any reason.

### createDocumentDescriptor

    public static IDocumentDescriptor createDocumentDescriptor(java.lang.String name,
                                                               java.lang.String description,
                                                               java.lang.String schemaName,
                                                               java.lang.String rootElementName)
                                                        throws java.lang.Exception

  Create a new document descriptor given the schema name and root element name for the descriptor.

  Parameters:
    `name` - The name of this descriptor.
    `description` - A description of this descriptor.
    `schemaName` - The fully qualified name of the schema that is to be associated with this descriptor.
    `rootElementName` - The name of the element that will serve as the the root element in all XML documents that are represented by this descriptor.
  Returns:
    The new document descriptor.
  Throws:
    java.lang.Exception - If the descriptor cannot be created for any reason.

### createNullDocumentDescriptor

    public static IDocumentDescriptor createNullDocumentDescriptor()

  Create a document descriptor describing an empty/null document.

  Returns:
    The new document descriptor.

### createEventDescriptor

    public static IEventDescriptor createEventDescriptor(java.lang.String name,
                                                         java.lang.String description,
                                                         java.lang.String schemaName,
                                                         java.lang.String rootElementName)
                                                  throws java.lang.Exception

  Create a new event descriptor given the schema name and root element name for the descriptor.

  Parameters:
    `name` - The name of this descriptor.
    `description` - A description of this descriptor.
    `schemaName` - The fully qualified name of the schema that is to be associated with this descriptor.
    `rootElementName` - The name of the element that will serve as the the root element for the XML payload for all events that are represented by this descriptor.
  Returns:
    The new event descriptor.
  Throws:
    java.lang.Exception - If the descriptor cannot be created for any reason.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)